Package net.shibboleth.idp.cas.protocol

# Class ProtocolContext<RequestType,ResponseType>

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.cas.protocol.ProtocolContext<RequestType,ResponseType>

Type Parameters:
  `RequestType` - request type
  `ResponseType` - response type

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class ProtocolContext<RequestType,ResponseType> extends BaseContext
Context container for CAS protocol request and response messages.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private RequestType`
`request`
CAS protocol request.
`private ResponseType`
`response`
CAS protocol response.

## Constructor Summary

Constructors
Constructor
Description
`ProtocolContext()`

## Method Summary

Modifier and Type
Method
Description
`RequestType`
`getRequest()`
Get the CAS protocol request.
`ResponseType`
`getResponse()`
Get the CAS protocol response.
`void`
`setRequest(RequestType req)`
Set the CAS protocol request.
`void`
`setResponse(ResponseType resp)`
Set the CAS protocol request.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### request

@Nullable private RequestType request
CAS protocol request.

### response

@Nullable private ResponseType response
CAS protocol response.

## Constructor Details

### ProtocolContext

public ProtocolContext()

## Method Details

### getRequest

@Nullable public RequestType getRequest()
Get the CAS protocol request.

Returns:
  CAS protocol request

### setRequest

public void setRequest(@Nullable RequestType req)
Set the CAS protocol request.

Parameters:
  `req` - CAS protocol request.

### getResponse

@Nullable public ResponseType getResponse()
Get the CAS protocol response.

Returns:
  CAS protocol response

### setResponse

public void setResponse(@Nullable ResponseType resp)
Set the CAS protocol request.

Parameters:
  `resp` - CAS protocol response.